## pyvnc2swf 0.9.3

=== Makefile ===
# Makefile (only for maintainance purpose)
# $Id: Makefile,v 1.26 2007/05/06 02:58:42 euske Exp $
#
#  Copyright (C) 2005 by Yusuke Shinyama (yusuke at cs . nyu . edu)
#  All Rights Reserved.
#
#  This is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
#  USA.
#

CVSROOT=:ext:euske@vnc2swf.cvs.sourceforge.net:/cvsroot/vnc2swf
PACKAGE=pyvnc2swf
VERSION=0.9.3

all:

clean:
	-rm *~ '.#*' .DS_Store
	-cd bin && rm *~ '.#*' .DS_Store 
	-cd docs && rm *~ '.#*' .DS_Store 
	-cd pyvnc2swf && rm *.pyc *~ '.#*' .DS_Store 

up: clean
	sshon2
	cvs -d$(CVSROOT) update
diff: clean
	sshon2
	cvs -d$(CVSROOT) diff -u
commit: clean
	sshon2
	cvs -d$(CVSROOT) commit

check:
	cd pyvnc2swf && pychecker vnc2swf.py

pack: clean
	ln -s $(PACKAGE) ../$(PACKAGE)-$(VERSION)
	tar c -z -C.. -f ../$(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION) \
		--dereference --numeric-owner --exclude CVS --exclude '.*'
	cd ../; zip -r $(PACKAGE)-$(VERSION).zip $(PACKAGE)-$(VERSION) -x '*/CVS*'
	rm ../$(PACKAGE)-$(VERSION)

publish: pack
	mv ../$(PACKAGE)-$(VERSION).tar.gz $(HOME)/public_html/vnc2swf/
	mv ../$(PACKAGE)-$(VERSION).zip $(HOME)/public_html/vnc2swf/
	cp docs/*.html $(HOME)/public_html/vnc2swf/

## pyvnc2swf 0.9.5

=== Makefile ===
# Makefile (only for maintainance purpose)
# $Id: Makefile,v 1.29 2008/11/16 02:54:22 euske Exp $
#
#  Copyright (C) 2005 by Yusuke Shinyama (yusuke at cs . nyu . edu)
#  All Rights Reserved.
#
#  This is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
#  USA.
#

CVSROOT=:ext:euske@vnc2swf.cvs.sourceforge.net:/cvsroot/vnc2swf
PACKAGE=pyvnc2swf
VERSION=0.9.5

PYTHON=python
GNUTAR=tar
ZIP=zip
CVS=cvs -d$(CVSROOT)

WORKDIR=/tmp
DISTNAME=$(PACKAGE)-$(VERSION)

all:

clean:
	-rm *~ '.#*' .DS_Store
	-cd bin && rm *~ '.#*' .DS_Store 
	-cd docs && rm *~ '.#*' .DS_Store 
	cd pyvnc2swf && make clean

up: clean
	$(CVS) update
diff: clean
	$(CVS) diff -u
commit: clean
	$(CVS) commit

check:
	cd pyvnc2swf && pychecker vnc2swf.py

pack: clean
	cd $(WORKDIR) && $(CVS) export -D now -d $(DISTNAME) pyvnc2swf
	cd $(WORKDIR) && $(GNUTAR) c -z -f $(WORKDIR)/$(DISTNAME).tar.gz $(DISTNAME) --dereference --numeric-owner
	cd $(WORKDIR) && $(ZIP) -r $(DISTNAME).zip $(DISTNAME)
	cd $(WORKDIR) && rm -rf $(DISTNAME)

WEBDIR=$(HOME)/Site/unixuser.org/vnc2swf/
publish: pack
	mv $(WORKDIR)/$(DISTNAME).tar.gz $(WEBDIR)
	mv $(WORKDIR)/$(DISTNAME).zip $(WEBDIR)
	cp docs/*.html $(WEBDIR)

=== pyvnc2swf/Makefile ===
# Makefile (only for maintainance purpose)
# $Id: Makefile,v 1.1 2008/11/15 10:07:09 euske Exp $
#
#  Copyright (C) 2005 by Yusuke Shinyama (yusuke at cs . nyu . edu)
#  All Rights Reserved.
#
#  This is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
#  USA.
#

all:

clean:
	-rm *.pyc *~ '.#*' .DS_Store 

test:
	x11vnc -quiet -localhost -viewonly -nopw -bg
	./vnc2swf.py -n -o out.swf localhost:0

=== debian/changelog ===
pyvnc2swf (0.9.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:05:53 +0800

pyvnc2swf (0.9.5-5) unstable; urgency=low

  * Add recordwin.sh script as documentation. Closes: #653783.
  * Bump Standards-Version to 3.9.3.
  * Replace python-support by dh_python2.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Feb 2012 11:48:29 +0100

pyvnc2swf (0.9.5-4) unstable; urgency=low

  * Add a patch to turn string exceptions into regular exceptions.
    Closes: #585344.
  * Convert package to 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4.
  * Switch to debhelper 7 and use a tiny debian/rules file.
  * Register documentation with doc-base.

 -- Vincent Bernat <bernat@debian.org>  Wed, 16 Jun 2010 20:35:35 +0200

pyvnc2swf (0.9.5-3) unstable; urgency=low

  * Recompile without depending on python-support from experimental.
  * Bump Standard-Version to 3.8.1. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 Mar 2009 20:28:19 +0100

pyvnc2swf (0.9.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Mar 2009 16:02:08 +0100

pyvnc2swf (0.9.5-1) experimental; urgency=low

  * New upstream version
  * Update Standard-Version to 3.8.0. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Tue, 25 Nov 2008 19:09:16 +0100

pyvnc2swf (0.9.3-3) unstable; urgency=low

  * Add Vcs-* fields to debian/control
  * Convert debian/copyright to machine readable format

 -- Vincent Bernat <bernat@debian.org>  Wed, 07 May 2008 21:19:44 +0200

pyvnc2swf (0.9.3-2) unstable; urgency=low

  * Bump Standard-Version to 3.7.3.
  * Move Homepage field from description in debian/control
  * Fix description, thanks to debian-l10n-english@d.o
  * Clean a bit debian/rules
  * Move python-support from Build-Depends to Build-Depends-Indep.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 30 Apr 2008 21:34:49 +0200

pyvnc2swf (0.9.3-1) unstable; urgency=low

  * Initial packaging (closes: #358979).

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 24 Aug 2007 10:24:42 +0200

=== debian/control ===
Source: pyvnc2swf
Section: video
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://www.unixuser.org/~euske/vnc2swf/pyvnc2swf.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/pyvnc2swf.git
Vcs-Git: git://git.debian.org/git/collab-maint/pyvnc2swf.git

Package: pyvnc2swf
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-tk, python-pygame
Description: screen recording tool with Flash (SWF) output
 Pyvnc2swf captures screen motion using the VNC protocol and generates
 a Shockwave Flash (SWF) movie which can be played back in any browser
 supporting the SWF format.
 .
 In contrast to vnc2swf, pyvnc2swf is being actively developed and has
 more functions: recording and adding an audio track, editing and
 adding a seekbar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with=python2 $@

override_dh_installchangelogs:
	dh_installchangelogs docs/changes.html
override_dh_auto_test:
